Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

I need to download Firefox for Mac OS10.6.8

  • 4 uphendule
  • 0 zinale nkinga
  • 22 views
  • Igcine ukuphendulwa ngu cor-el

more options

My Firefox browser for Mac 10.6.8 worked fine until it was security compromised Can I download that version again and if so where do I find it? Thank you

My Firefox browser for Mac 10.6.8 worked fine until it was security compromised Can I download that version again and if so where do I find it? Thank you

All Replies (4)

more options

Oof the version will be rather old. Firefox since 79.0 and later has required Mac OS X 10.12 at minimum to run. Firefox 78.15.0esr was the last to support the old EOL Mac OS X 10.9, 10.10, 10.11

Even a version like 52.9.0esr required Mac OS X 10.9 at minimum. https://www.mozilla.org/firefox/52.9.0/system-requirements/

For the ancient Mac OS X 10.6.8 the rather old and vulnerable Firefox 45.9.0esr (Released back on April 19, 2017) may be the most current (with security updates) you can run. Firefox 48.0 and later required Mac OS X 10.9 at minimum then.

https://www.mozilla.org/firefox/45.9.0/system-requirements/

https://archive.mozilla.org/pub/firefox/releases/45.9.0esr/mac/en-US/ https://archive.mozilla.org/pub/firefox/releases/45.9.0esr/mac/

more options
more options

cor-el said

See also:

Hmm it says Fx 49.0 and later requires Mac OS X 10.9 or later when according to https://www.mozilla.org/firefox/48.0/system-requirements/ it was Fx 48.0 and later.

Close enough for an old article I guess.

more options

It has never been clear to me whether it was 48 or 49

  • 1255588 - Disable Firefox on MacOS <10.9